While updating i'm getting this error

Hit:1 https://apt.dockerproject.org/repo debian-stretch InRelease
Get:3 http://deb.i2p2.no unstable InRelease [19.7 kB]
Err:3 http://deb.i2p2.no unstable InRelease
The following signatures were invalid: EXPKEYSIG 67ECE5605BCF1346 I2P Debian Package Repository <killyourtv@i2pmail.org>
Hit:2 http://ftp.harukasan.org/kali kali-rolling InRelease
Reading package lists... Done
W: GPG error: http://deb.i2p2.no unstable InRelease: The following signatures were invalid: EXPKEYSIG 67ECE5605BCF1346 I2P Debian Package Repository <killyourtv@i2pmail.org>
E: The repository 'http://deb.i2p2.no unstable InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.


i tried
wget -q -O - https://archive.kali.org/archive-key.asc | apt-key add

but it didn't work

Need help!!